<?php
        // CONTENTS
        // additonals
        // thumbnail support
        // feeds
        // stylesheets
        // roboto / google fonts
        // respare.css
        // content width
        // wp_title filter
        // footer widgets
        // left widget
        // right widget
        
        function reSpare_setup() {
                add_theme_support( 'post-thumbnails' );
                add_theme_support( 'automatic-feed-links' );
        }
        add_action( 'after_setup_theme', 'reSpare_setup' );
        
        function respare_theme_scripts() {
                wp_enqueue_style( 'roboto', 'http://fonts.googleapis.com/css?family=Roboto' );
                wp_enqueue_style( 'respare', get_stylesheet_uri() );
        }
        add_action( 'wp_enqueue_scripts', 'respare_theme_scripts' );
        
        if ( ! isset( $content_width ) ) $content_width = 900;        

        add_filter( 'wp_title', 'respare_better_title' );                
        function respare_better_title( $title ) {
            global $page, $paged;
            if ( is_feed() )
            return $title;
            $site_description = get_bloginfo( 'description' );
            $filtered_title = $title . get_bloginfo( 'name' );
            $filtered_title .= ( ! empty( $site_description ) && ( is_home() || is_front_page() ) ) ? ' | ' . $site_description: '';
            $filtered_title .= ( 2 <= $paged || 2 <= $page ) ? ' | ' . sprintf( __( 'Page %s' ), max( $paged, $page ) ) : ''; 
            return $filtered_title; 
        }

        function respare_footer() {
                $left = array(
                        'id' => 'Footer Widget Left',
                        'name' => __( 'Footer Widget Left', 'reSpare' ),
                        'description' => __( 'Left footer', 'reSpare' ),
                        'before_title' => '<h2 class="widgettitle">',
                        'after_title' => '</h2>',
                        'before_widget' => '<div id="%1$s" class="widget %2$s">',
                        'after_widget' => '</div>',
                );
                register_sidebar( $left );
                $right = array(
                        'id' => 'Footer Widget Right',
                        'name' => __( 'Footer Widget Right', 'reSpare' ),
                        'description' => __( 'Right footer', 'reSpare' ),
                        'before_title' => '<h2 class="widgettitle">',
                        'after_title' => '</h2>',
                        'before_widget' => '<div id="%1$s" class="widget %2$s">',
                        'after_widget' => '</div>',
                );
                register_sidebar( $right );
        }
        add_action( 'widgets_init', 'respare_footer' );