<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="UTF-8" />
    <title><?php wp_title( '|', true, 'right' ); ?></title>
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <?php if ( is_singular() ) wp_enqueue_script( "comment-reply" ); ?>
    <?php wp_head(); ?>
</head>
    <body <?php body_class(); ?>>
        <div id="content">
            <header>
                <a class="homeLink" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php $blog_title = get_bloginfo(); echo $blog_title; ?></a>
                <form role="search" method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                    <div>
                        <input type="text" value="" name="s" id="s" placeholder="Search" />
                        <input type="submit" id="searchsubmit" value="Search" />
                    </div>
                </form>
            </header>
            <section class="clearTop"></section>
                <div class="headerNav">
<input type="checkbox" name="resparemenuExpand" id="resparemenuExpand" />
                            <label for="resparemenuExpand">Menu<span>+</span><span>-</span></label>
                   <div class="block">
                    <div>
                        <ul>
                            <li>Sections</li>
                            <?php wp_list_pages('title_li&depth=1'); ?>
                        </ul>
                    </div>
                    <div>
                        <ul>
                            <li>Filed under...</li>
                            <?php wp_list_categories('title_li=&orderby=name&depth=1'); ?>
                        </ul>
                    </div>
		    </div>
                </div>
            <?php if (!is_single() || !is_home() || !is_page() ) {
                echo "<p class=\"titleMeta\">";
                if ( is_search() ) { ?>
                    <h4 class="title">Search results for <em><?php the_search_query();?></em></h4>
                <?php } elseif ( is_archive() ) {  
                    if ( is_category() ) { echo "<h4 class=\"title\">" . single_cat_title("", false) . "</h4><h6 class=\"subtitle\">" . category_description() . "</h6>"; }
                }
                echo "</p>";
            }
            ?>
            <?php if(is_home() || is_archive() || is_search() ) { ?>
                <div class="postCollapse">
            <?php }?>
            <?php 
            // the_loop begin
            if (have_posts()) : while (have_posts()) : the_post(); ?>
                <?php 
                // home/archive/search loop begin
                if (is_home() || is_archive() || is_search() ) { ?>
                    <article class="block">
                        <section <?php post_class('post'); ?>>
                            <input type="checkbox" name="postCollapse" id="<?php the_id(); ?>" />
                            <label for="<?php the_id(); ?>"><?php if (!get_post_format('post')) { ?><?php the_title(); ?><?php }?><span>+</span><span>-</span></label>
                            <section class="content">
                                <div class="postMeta">written by <?php the_author_posts_link(); ?> and filed under <?php the_category(' '); ?> / <?php echo get_the_date(); ?> / <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">Permalink</a></div>
                                <?php the_content('<h6 class="title">Read the rest of this entry</h6>'); ?>
                            </section>
                            <?php wp_link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
                        </section>
                    </article>
                <?php 
                // home/archive/search loop end
                } ?>
                <?php 
                // single loop / page loop begin
                if (is_single() || is_page() ) { ?>    
                    <?php if ( '' != get_the_post_thumbnail() ) { 
                        echo "<section class=\"postImage\" style=\"background:url('" . wp_get_attachment_url( get_post_thumbnail_id($post->ID) ) . "') no-repeat center center;-moz-background-size:cover;-webkit-background-size: cover;-o-background-size: cover;background-size: cover;    \"></section>";
                    }?>                    
                    <section <?php post_class('post'); ?>>
                    <h2 id="post-<?php the_ID(); ?>"><?php the_title(); ?></h2>
                    <?php if (!is_page() ) { ?><div class="postMeta"><p>written by <?php the_author_posts_link(); ?> and filed under <?php the_category(' '); ?> <?php the_tags(' / ',', '); ?> / <?php echo get_the_date(); ?></p></div><?php }?>
                    <div class="entry">
                    <?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>
                    <?php wp_link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
                    </div>
                    </section>
                        <?php if (is_single() ) { ?>
                            <nav>
                                <ul>
                                    <li class="left"><?php previous_post_link('<strong>%link</strong>') ?></li>
                                    <li class="right"><?php next_post_link('<strong>%link</strong>') ?></li>
                                </ul>
                            </nav>
                        <?php }?>
                        <section class="comments">
                            <?php wp_list_comments(); comments_template(); echo "<a id=\""; the_title(); echo "_commentform\"></a>"; comment_form();?> 
                        </section>
                <?php 
                // single loop / page loop end
                } ?>
            <?php 
            // anything after the loop?
            endwhile; ?>
            <?php if (!is_single() ) { ?>
                <nav>
                    <ul>
                        <li class="left"><?php previous_posts_link('Previous Entries') ?></li>
                        <li class="right"><?php next_posts_link('Next Entries','') ?></li>
                    </ul>
                </nav>
            <?php }?>
            <?php 
            // 404 handling
            else : ?>
                <section><h3 class="title">There should be something here.  But there isn't.</h3><h5 class="title">bummer.</h2></section>
            <?php 
            // the_loop end            
            endif; ?>
            <?php if(is_home() || is_archive() || is_search() ) { ?>
                </div>
            <?php }?>
        </div>
        <div class="clear"></div>
        <section class="footerWidgets">
                        <?php if ( dynamic_sidebar('Footer Widget Left') ) : else : ?><?php endif; ?>
                        <?php if ( dynamic_sidebar('Footer Widget Right') ) : else : ?><?php endif; ?>
                </section>
        <footer>
            <p>&copy; <?php echo $blog_title; ?> <?php echo date('Y'); ?></p>
        </footer>            
        <?php wp_footer(); ?>
    </body>
</html>